
Name:    libkomparediff2
Summary: Library to compare files and strings
Version: 23.08.5
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdegraphics/libs/libkomparediff2
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz

BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5concurrent-devel

BuildRequires: kf5-macros
BuildRequires: kcoreaddons-devel
BuildRequires: kcodecs-devel
BuildRequires: kconfig-devel
BuildRequires: kxmlgui-devel
BuildRequires: ki18n-devel
BuildRequires: kio-devel
BuildRequires: kparts-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl



%description
A shared library to compare files and strings using kdelibs and GNU diff,
used in Kompare and KDevelop.

%files
%_kf5_datadir/locale
%_kf5_datadir/qlogging-categories5/libkomparediff2.categories

#------------------------------------------------------------------------------
%define komparediff2_major 5
%define libkomparediff2 %mklibname komparediff2_ %komparediff2_major

%package -n %{libkomparediff2}
Summary: Library to compare files and strings
Group: System/Libraries
Requires: %name

%description -n %{libkomparediff2}
A shared library to compare files and strings using kdelibs and GNU diff,
used in Kompare and KDevelop.

%files -n %{libkomparediff2}
%_kf5_libdir/libkomparediff2.so.%{komparediff2_major}*

#------------------------------------------------------------------------------
%define libkomparediff2_devel %mklibname komparediff2 -d

%package -n %{libkomparediff2_devel}
Summary: Library to compare files and strings
Group: Development/Libraries
Requires: %libkomparediff2 = %version-%release
Provides:  %name-devel = %version-%release

%description -n %{libkomparediff2_devel}
A shared library to compare files and strings using kdelibs and GNU diff,
used in Kompare and KDevelop.

%files -n %{libkomparediff2_devel}
%_includedir/KompareDiff2
%_kf5_libdir/cmake/LibKompareDiff2
%_kf5_libdir/libkomparediff2.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DKDE4_ENABLE_FINAL=ON
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

